package com.engine.kq.wfset.bean;

import java.io.Serializable;

/**
 * 按加班的时间段设置转调休时长
 */
public class OvertimeBalanceTimeBean implements Serializable {


  private static final long serialVersionUID = -1L;
  /**
   * list里对应的下标
   */
  int list_index;
  /**
   * 对应表kq_overdutyrulesdetail的id
   */
  String rulesdetailid;
  /**
   * 加班时间再timepoint之后的
   */
  String timepoint;
  /**
   * 加班时间再timepoint之后对应的分钟数
   */
  int timepoint_mins;
  /**
   * timepoint对应的区间开始时间
   */
  String timepoint_start;
  /**
   * timepoint对应的区间结束时间
   */
  String timepoint_end;

  /**
   * 是否需要转调休
   */
  boolean needTX;

  public int getList_index() {
    return list_index;
  }

  public void setList_index(int list_index) {
    this.list_index = list_index;
  }

  public String getRulesdetailid() {
    return rulesdetailid;
  }

  public void setRulesdetailid(String rulesdetailid) {
    this.rulesdetailid = rulesdetailid;
  }

  public String getTimepoint() {
    return timepoint;
  }

  public void setTimepoint(String timepoint) {
    this.timepoint = timepoint;
  }

  public int getTimepoint_mins() {
    return timepoint_mins;
  }

  public void setTimepoint_mins(int timepoint_mins) {
    this.timepoint_mins = timepoint_mins;
  }

  public String getTimepoint_start() {
    return timepoint_start;
  }

  public void setTimepoint_start(String timepoint_start) {
    this.timepoint_start = timepoint_start;
  }

  public String getTimepoint_end() {
    return timepoint_end;
  }

  public void setTimepoint_end(String timepoint_end) {
    this.timepoint_end = timepoint_end;
  }

  public boolean isNeedTX() {
    return needTX;
  }

  public void setNeedTX(boolean needTX) {
    this.needTX = needTX;
  }
}
